diff --git a/changelog b/changelog
index fa626d9..82bc4ae 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20081201 tpd src/axiom-website/patches.html 20081201.04.tpd.patch
+20081201 tpd src/axiom-website/index.html fix video link
+20081201 tpd src/axiom-website/videos.html add wmv, pdf
+20081201 tpd src/axiom-website/patches.html 20081201.03.tpd.patch
 20081201 tpd books/Makefile move amssymb to preamble
 20081201 kxh books/bookvol7.1 fix syntax
 20081201 tpd src/interp/setq.lisp add Karl Hegbloom
diff --git a/src/axiom-website/index.html b/src/axiom-website/index.html
index 0e05eed..0bce186 100644
--- a/src/axiom-website/index.html
+++ b/src/axiom-website/index.html
@@ -72,7 +72,7 @@
    </div>
    <div align="center">
     [
-     <a href="videos.html" title="videos">
+     <a href="axiom-website/videos.html" title="videos">
       Videos
      </a>
     ]
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ad638c8..6daa1c1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -769,6 +769,8 @@ bookvol10.3 add domains<br/>
 add missing files<br/>
 <a href="patches/20081201.03.tpd.patch">20081201.03.tpd.patch</a>
 bookvol10.3 add domains<br/>
+<a href="patches/20081201.04.tpd.patch">20081201.04.tpd.patch</a>
+website add wmv, pdf to video page<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/src/axiom-website/videos.html b/src/axiom-website/videos.html
index adda03d..5fc142a 100644
--- a/src/axiom-website/videos.html
+++ b/src/axiom-website/videos.html
@@ -91,13 +91,43 @@
   <br>
   <hr>
 
-<div id="body">
+<div id="header">
  Axiom videos are now available. This will be an ongoing development
  effort.
  <br/>
- <a href="http://www.youtube.com/watch?v=CV8y3UrpadY">
-  Axiom Information Sources"
-  </a>
+</div>
+<hr/>
+<div id="informationsources">
+<table>
+ <tr> 
+  <td>
+   <b>Axiom Information Sources</b>
+  </td>
+  <td>
+   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+  </td>
+  <td>
+   <a href="http://www.youtube.com/watch?v=CV8y3UrpadY">
+    youtube
+   </a>
+  </td>
+  <td>
+   <a href="informationsources.html">
+    wmv
+   </a>
+  </td>
+  <td>
+   <a href="informationsources.pdf">
+    pdf
+   </a>
+  </td>
+ </tr>
+</table>
+<br/>
+The <b>Information Sources</b> video gives a quick overview of the 
+external and internal information available for Axiom. The
+external sources include books and websites. The internal
+sources include browsers and help facilities. 
 </div>
 
 </body>
